<!-- HTML header for doxygen 1.8.9.1
Converted manually by Andy Dent to be HTML 5 instead of XHTML
-->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
<meta http-equiv="X-UA-Compatible" content="IE=9" />
<meta name="generator" content="Doxygen 1.8.12" />
<link rel="icon" href="https://realm.io/img/favicon.ico" />
<link rel="apple-touch-icon-precomposed" sizes="57x57" href="https://realm.io/img/favicon-57x57.png" />
<link rel="apple-touch-icon-precomposed" sizes="114x114" href="https://realm.io/img/favicon-114x114.png" />
<link rel="apple-touch-icon-precomposed" sizes="72x72" href="https://realm.io/img/favicon-72x72.png" />
<link rel="apple-touch-icon-precomposed" sizes="144x144" href="https://realm.io/img/favicon-144x144.png" />
<link rel="apple-touch-icon-precomposed" sizes="120x120" href="https://realm.io/img/favicon-120x120.png" />
<link rel="apple-touch-icon-precomposed" sizes="152x152" href="https://realm.io/img/favicon-152x152.png" />
<link rel="icon" type="image/png" href="https://realm.io/img/favicon-32x32.png" sizes="32x32" />
<link rel="icon" type="image/png" href="https://realm.io/img/favicon-16x16.png" sizes="16x16" />
<title>Realm Xamarin: Realms.CollectionNotificationsExtensions Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript">
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
  ga('create', 'UA-50247013-1', 'auto');
  ga('send', 'pageview');
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="realmcustomdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Realm Xamarin
   &#160;<span id="projectnumber">v0.81.0</span>
   </div>
   <div id="projectbrief">Realm for Xamarin</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_realms.html">Realms</a></li><li class="navelem"><a class="el" href="class_realms_1_1_collection_notifications_extensions.html">CollectionNotificationsExtensions</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_realms_1_1_collection_notifications_extensions-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Realms.CollectionNotificationsExtensions Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A set of extensions methods exposing notification-related functionality over collections.  
 <a href="class_realms_1_1_collection_notifications_extensions.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ade305a8541f5a6f4996d09873adb1afd"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_collection_notifications_extensions.html#ade305a8541f5a6f4996d09873adb1afd">AsRealmCollection&lt; T &gt;</a> (this IQueryable&lt; T &gt; results)</td></tr>
<tr class="memdesc:ade305a8541f5a6f4996d09873adb1afd"><td class="mdescLeft">&#160;</td><td class="mdescRight">A convenience method that casts <code>IQueryable{T}</code> to <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a> which implements INotifyCollectionChanged.  <a href="#ade305a8541f5a6f4996d09873adb1afd">More...</a><br /></td></tr>
<tr class="separator:ade305a8541f5a6f4996d09873adb1afd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacaa088d05457f6e7d607849d6c56fda"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_collection_notifications_extensions.html#aacaa088d05457f6e7d607849d6c56fda">AsRealmCollection&lt; T &gt;</a> (this IList&lt; T &gt; list)</td></tr>
<tr class="memdesc:aacaa088d05457f6e7d607849d6c56fda"><td class="mdescLeft">&#160;</td><td class="mdescRight">A convenience method that casts <code>IList{T}</code> to <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a> which implements INotifyCollectionChanged.  <a href="#aacaa088d05457f6e7d607849d6c56fda">More...</a><br /></td></tr>
<tr class="separator:aacaa088d05457f6e7d607849d6c56fda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26fad427518323f04d5451cc72734705"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_collection_notifications_extensions.html#a26fad427518323f04d5451cc72734705">Move&lt; T &gt;</a> (this IList&lt; T &gt; list, T item, int index)</td></tr>
<tr class="memdesc:a26fad427518323f04d5451cc72734705"><td class="mdescLeft">&#160;</td><td class="mdescRight">Move the specified item to a new position within the list.  <a href="#a26fad427518323f04d5451cc72734705">More...</a><br /></td></tr>
<tr class="separator:a26fad427518323f04d5451cc72734705"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae09e679f9e1221917cd9008800f0e4c1"><td class="memItemLeft" align="right" valign="top">static IDisposable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_collection_notifications_extensions.html#ae09e679f9e1221917cd9008800f0e4c1">SubscribeForNotifications&lt; T &gt;</a> (this IQueryable&lt; T &gt; results, NotificationCallbackDelegate&lt; T &gt; callback)</td></tr>
<tr class="memdesc:ae09e679f9e1221917cd9008800f0e4c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">A convenience method that casts <code>IQueryable{T}</code> to <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a> and subscribes for change notifications.  <a href="#ae09e679f9e1221917cd9008800f0e4c1">More...</a><br /></td></tr>
<tr class="separator:ae09e679f9e1221917cd9008800f0e4c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab28dcf741c332e888963f607dc50962f"><td class="memItemLeft" align="right" valign="top">static IDisposable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_collection_notifications_extensions.html#ab28dcf741c332e888963f607dc50962f">SubscribeForNotifications&lt; T &gt;</a> (this IList&lt; T &gt; results, NotificationCallbackDelegate&lt; T &gt; callback)</td></tr>
<tr class="memdesc:ab28dcf741c332e888963f607dc50962f"><td class="mdescLeft">&#160;</td><td class="mdescRight">A convenience method that casts <code>IList{T}</code> to <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a> and subscribes for change notifications.  <a href="#ab28dcf741c332e888963f607dc50962f">More...</a><br /></td></tr>
<tr class="separator:ab28dcf741c332e888963f607dc50962f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada7242f266e25bf32e09d5f3deeb0399"><td class="memItemLeft" align="right" valign="top">static INotifyCollectionChanged&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_collection_notifications_extensions.html#ada7242f266e25bf32e09d5f3deeb0399">ToNotifyCollectionChanged&lt; T &gt;</a> (this IOrderedQueryable&lt; T &gt; results, Action&lt; Exception &gt; errorCallback)</td></tr>
<tr class="memdesc:ada7242f266e25bf32e09d5f3deeb0399"><td class="mdescLeft">&#160;</td><td class="mdescRight">A convenience method that casts <code>IQueryable{T}</code> to <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a> which implements INotifyCollectionChanged.  <a href="#ada7242f266e25bf32e09d5f3deeb0399">More...</a><br /></td></tr>
<tr class="separator:ada7242f266e25bf32e09d5f3deeb0399"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afae05e736193328a4cd2aa77ecde17f7"><td class="memItemLeft" align="right" valign="top">static INotifyCollectionChanged&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_collection_notifications_extensions.html#afae05e736193328a4cd2aa77ecde17f7">ToNotifyCollectionChanged&lt; T &gt;</a> (this IOrderedQueryable&lt; T &gt; results, Action&lt; Exception &gt; errorCallback, bool coalesceMultipleChangesIntoReset)</td></tr>
<tr class="memdesc:afae05e736193328a4cd2aa77ecde17f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">A convenience method that casts <code>IQueryable{T}</code> to <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a> which implements INotifyCollectionChanged.  <a href="#afae05e736193328a4cd2aa77ecde17f7">More...</a><br /></td></tr>
<tr class="separator:afae05e736193328a4cd2aa77ecde17f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A set of extensions methods exposing notification-related functionality over collections. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ade305a8541f5a6f4996d09873adb1afd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade305a8541f5a6f4996d09873adb1afd">&sect;&nbsp;</a></span>AsRealmCollection< T >() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection</a>&lt;T&gt; Realms.CollectionNotificationsExtensions.AsRealmCollection&lt; T &gt; </td>
          <td>(</td>
          <td class="paramtype">this IQueryable&lt; T &gt;&#160;</td>
          <td class="paramname"><em>results</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A convenience method that casts <code>IQueryable{T}</code> to <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a> which implements INotifyCollectionChanged. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">results</td><td>The IQueryable&lt;T&gt; to observe for changes.</td></tr>
  </table>
  </dd>
</dl>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the <a class="el" href="class_realms_1_1_realm_object.html" title="Base for any object that can be persisted in a Realm. ">RealmObject</a> in the results.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_realms_1_1_i_realm_collection.html#a6052c0656c9f013f44140b5cdaaf2300" title="Register a callback to be invoked each time this IRealmCollection&lt;T&gt; changes. ">IRealmCollection&lt;T&gt;.SubscribeForNotifications</a></dd></dl>
<dl class="section return"><dt>Returns</dt><dd>The collection, implementing INotifyCollectionChanged.</dd></dl>
<div class="typeconstraint">
<dl><dt><b>Type Constraints</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em>T</em></td><td>&#160;:</td><td valign="top"><em>RealmObject</em></td><td>&#160;</td></tr>
</table>
</dd>
</dl>
</div>

</div>
</div>
<a id="aacaa088d05457f6e7d607849d6c56fda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacaa088d05457f6e7d607849d6c56fda">&sect;&nbsp;</a></span>AsRealmCollection< T >() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection</a>&lt;T&gt; Realms.CollectionNotificationsExtensions.AsRealmCollection&lt; T &gt; </td>
          <td>(</td>
          <td class="paramtype">this IList&lt; T &gt;&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A convenience method that casts <code>IList{T}</code> to <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a> which implements INotifyCollectionChanged. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">list</td><td>The IList&lt;T&gt; to observe for changes.</td></tr>
  </table>
  </dd>
</dl>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the <a class="el" href="class_realms_1_1_realm_object.html" title="Base for any object that can be persisted in a Realm. ">RealmObject</a> in the list.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_realms_1_1_i_realm_collection.html#a6052c0656c9f013f44140b5cdaaf2300" title="Register a callback to be invoked each time this IRealmCollection&lt;T&gt; changes. ">IRealmCollection&lt;T&gt;.SubscribeForNotifications</a></dd></dl>
<dl class="section return"><dt>Returns</dt><dd>The collection, implementing INotifyCollectionChanged.</dd></dl>
<div class="typeconstraint">
<dl><dt><b>Type Constraints</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em>T</em></td><td>&#160;:</td><td valign="top"><em>RealmObject</em></td><td>&#160;</td></tr>
</table>
</dd>
</dl>
</div>

</div>
</div>
<a id="a26fad427518323f04d5451cc72734705"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26fad427518323f04d5451cc72734705">&sect;&nbsp;</a></span>Move< T >()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Realms.CollectionNotificationsExtensions.Move&lt; T &gt; </td>
          <td>(</td>
          <td class="paramtype">this IList&lt; T &gt;&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Move the specified item to a new position within the list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">list</td><td>The list where the move should occur.</td></tr>
    <tr><td class="paramname">item</td><td>The item that will be moved.</td></tr>
    <tr><td class="paramname">index</td><td>The new position to which the item will be moved.</td></tr>
  </table>
  </dd>
</dl>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the <a class="el" href="class_realms_1_1_realm_object.html" title="Base for any object that can be persisted in a Realm. ">RealmObject</a> in the list.</td></tr>
  </table>
  </dd>
</dl>
<p>This extension method will work for standalone lists as well by calling <code>Remove</code> and then <code>Insert</code>. </p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">ArgumentOutOfRangeException</td><td>Thrown if the index is less than 0 or greater than Count - 1.</td></tr>
  </table>
  </dd>
</dl>
<div class="typeconstraint">
<dl><dt><b>Type Constraints</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em>T</em></td><td>&#160;:</td><td valign="top"><em>RealmObject</em></td><td>&#160;</td></tr>
</table>
</dd>
</dl>
</div>

</div>
</div>
<a id="ae09e679f9e1221917cd9008800f0e4c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae09e679f9e1221917cd9008800f0e4c1">&sect;&nbsp;</a></span>SubscribeForNotifications< T >() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static IDisposable Realms.CollectionNotificationsExtensions.SubscribeForNotifications&lt; T &gt; </td>
          <td>(</td>
          <td class="paramtype">this IQueryable&lt; T &gt;&#160;</td>
          <td class="paramname"><em>results</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">NotificationCallbackDelegate&lt; T &gt;&#160;</td>
          <td class="paramname"><em>callback</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A convenience method that casts <code>IQueryable{T}</code> to <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a> and subscribes for change notifications. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">results</td><td>The IQueryable&lt;T&gt; to observe for changes.</td></tr>
  </table>
  </dd>
</dl>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the <a class="el" href="class_realms_1_1_realm_object.html" title="Base for any object that can be persisted in a Realm. ">RealmObject</a> in the results.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_realms_1_1_i_realm_collection.html#a6052c0656c9f013f44140b5cdaaf2300" title="Register a callback to be invoked each time this IRealmCollection&lt;T&gt; changes. ">IRealmCollection&lt;T&gt;.SubscribeForNotifications</a></dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">callback</td><td>The callback to be invoked with the updated <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A subscription token. It must be kept alive for as long as you want to receive change notifications. To stop receiving notifications, call IDisposable.Dispose. </dd></dl>
<div class="typeconstraint">
<dl><dt><b>Type Constraints</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em>T</em></td><td>&#160;:</td><td valign="top"><em>RealmObject</em></td><td>&#160;</td></tr>
</table>
</dd>
</dl>
</div>

</div>
</div>
<a id="ab28dcf741c332e888963f607dc50962f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab28dcf741c332e888963f607dc50962f">&sect;&nbsp;</a></span>SubscribeForNotifications< T >() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static IDisposable Realms.CollectionNotificationsExtensions.SubscribeForNotifications&lt; T &gt; </td>
          <td>(</td>
          <td class="paramtype">this IList&lt; T &gt;&#160;</td>
          <td class="paramname"><em>results</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">NotificationCallbackDelegate&lt; T &gt;&#160;</td>
          <td class="paramname"><em>callback</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A convenience method that casts <code>IList{T}</code> to <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a> and subscribes for change notifications. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">results</td><td>The IList&lt;T&gt; to observe for changes.</td></tr>
  </table>
  </dd>
</dl>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the <a class="el" href="class_realms_1_1_realm_object.html" title="Base for any object that can be persisted in a Realm. ">RealmObject</a> in the results.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_realms_1_1_i_realm_collection.html#a6052c0656c9f013f44140b5cdaaf2300" title="Register a callback to be invoked each time this IRealmCollection&lt;T&gt; changes. ">IRealmCollection&lt;T&gt;.SubscribeForNotifications</a></dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">callback</td><td>The callback to be invoked with the updated <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A subscription token. It must be kept alive for as long as you want to receive change notifications. To stop receiving notifications, call IDisposable.Dispose. </dd></dl>
<div class="typeconstraint">
<dl><dt><b>Type Constraints</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em>T</em></td><td>&#160;:</td><td valign="top"><em>RealmObject</em></td><td>&#160;</td></tr>
</table>
</dd>
</dl>
</div>

</div>
</div>
<a id="ada7242f266e25bf32e09d5f3deeb0399"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada7242f266e25bf32e09d5f3deeb0399">&sect;&nbsp;</a></span>ToNotifyCollectionChanged< T >() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static INotifyCollectionChanged Realms.CollectionNotificationsExtensions.ToNotifyCollectionChanged&lt; T &gt; </td>
          <td>(</td>
          <td class="paramtype">this IOrderedQueryable&lt; T &gt;&#160;</td>
          <td class="paramname"><em>results</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Action&lt; Exception &gt;&#160;</td>
          <td class="paramname"><em>errorCallback</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A convenience method that casts <code>IQueryable{T}</code> to <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a> which implements INotifyCollectionChanged. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">results</td><td>The IQueryable&lt;T&gt; to observe for changes.</td></tr>
    <tr><td class="paramname">errorCallback</td><td>The parameter is not used.</td></tr>
  </table>
  </dd>
</dl>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the <a class="el" href="class_realms_1_1_realm_object.html" title="Base for any object that can be persisted in a Realm. ">RealmObject</a> in the results.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The collection, implementing INotifyCollectionChanged.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_realms_1_1_i_realm_collection.html#a6052c0656c9f013f44140b5cdaaf2300" title="Register a callback to be invoked each time this IRealmCollection&lt;T&gt; changes. ">IRealmCollection&lt;T&gt;.SubscribeForNotifications</a></dd></dl>
<div class="typeconstraint">
<dl><dt><b>Type Constraints</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em>T</em></td><td>&#160;:</td><td valign="top"><em>RealmObject</em></td><td>&#160;</td></tr>
</table>
</dd>
</dl>
</div>

</div>
</div>
<a id="afae05e736193328a4cd2aa77ecde17f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afae05e736193328a4cd2aa77ecde17f7">&sect;&nbsp;</a></span>ToNotifyCollectionChanged< T >() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static INotifyCollectionChanged Realms.CollectionNotificationsExtensions.ToNotifyCollectionChanged&lt; T &gt; </td>
          <td>(</td>
          <td class="paramtype">this IOrderedQueryable&lt; T &gt;&#160;</td>
          <td class="paramname"><em>results</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Action&lt; Exception &gt;&#160;</td>
          <td class="paramname"><em>errorCallback</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>coalesceMultipleChangesIntoReset</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A convenience method that casts <code>IQueryable{T}</code> to <a class="el" href="interface_realms_1_1_i_realm_collection.html">IRealmCollection&lt;T&gt;</a> which implements INotifyCollectionChanged. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">results</td><td>The IQueryable&lt;T&gt; to observe for changes.</td></tr>
    <tr><td class="paramname">errorCallback</td><td>The parameter is not used.</td></tr>
    <tr><td class="paramname">coalesceMultipleChangesIntoReset</td><td>The parameter is not used.</td></tr>
  </table>
  </dd>
</dl>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the <a class="el" href="class_realms_1_1_realm_object.html" title="Base for any object that can be persisted in a Realm. ">RealmObject</a> in the results.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The collection, implementing INotifyCollectionChanged.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_realms_1_1_i_realm_collection.html#a6052c0656c9f013f44140b5cdaaf2300" title="Register a callback to be invoked each time this IRealmCollection&lt;T&gt; changes. ">IRealmCollection&lt;T&gt;.SubscribeForNotifications</a></dd></dl>
<div class="typeconstraint">
<dl><dt><b>Type Constraints</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em>T</em></td><td>&#160;:</td><td valign="top"><em>RealmObject</em></td><td>&#160;</td></tr>
</table>
</dd>
</dl>
</div>

</div>
</div>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.9.1-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>© 2015 Realm. All rights reserved.<br />
Generated on Wed Dec 14 2016 14:42:34 for Realm Xamarin by &#160;<a href="http://www.doxygen.org/index.html">
doxygen
</a> 1.8.12
</small></address>
</body>
</html>
